Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154588 - kernel install makes gratuitous changes to modprobe.conf
Summary: kernel install makes gratuitous changes to modprobe.conf
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-12 20:30 UTC by Mark Eggers
Modified: 2014-03-17 02:53 UTC (History)
3 users (show)

Fixed In Version: Fedora 4 and newer
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-01 04:34:55 UTC


Attachments (Terms of Use)

Description Mark Eggers 2005-04-12 20:30:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
Installation of the new kernel from kernel-2.6.10-1.770_FC3 proceeded without incident.

Upon booting into the new kernel and bringing up KDE, I noticed that I had no sound.

I investigated with gnome-volume-control, and found that my old sound card (onboard Intel card) was set as the default sound card.  This is odd since that sound card is disabled in BIOS (Dell 8200).

I then took a look at /etc/modprobe.conf.  Several changes had been made to the file.

The line:

alias snd-card-0 snd-cs46xx

was replaced with:

alias snd-card-0 snd-card-0

The following line was removed:

alias sound-slot-0 snd-card-0

This is strange, since I keep /etc/modprobe.conf under RCS, and only do a co -l when I make changes.  Otherwise it is checked out without locking, so the file is read-only.

At any rate, I edited the file, made the appropriate changes, and sound is back to normal.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.14_FC3

How reproducible:
Always

Steps to Reproduce:
1. Upgrade kernel
2. Lose sound
3. Notice that /etc/modprobe.conf has been modified  

Actual Results:  /etc/modprobe.conf has been edited by the rpm install, and my PCI sound card (Turtle Beach Santa Cruz) is no longer the default sound card.

Expected Results:  Existing /etc/modprobe.conf entries should not be changed by a kernel installation.

Additional info:

Comment 1 Rik van Riel 2005-04-12 20:43:28 UTC
This is probably due to /usr/sbin/module_upgrade running in the %post script. 
Not sure if it's a bug (though it sure looks like it in this case), but
reassigning to the package containing module_upgrade just in case.

Comment 2 Bill Nottingham 2005-04-13 03:29:45 UTC
OK, it's tripping up on the obsolete:

alias sound-slot-0 snd-card-0

line, which isn't actually needed. It's interpreting it as an older 2.4 alias.

Comment 3 Mark Eggers 2005-04-13 09:32:17 UTC
OK, and I took a look at my /etc/sysconfig/hwconf file to remove the lingering
onboard sound system.

Then the only thing that is left is the changing of the

alias snd-card-0 snd-cs46xx

with

alias snd-card-0 snd-card-0

It's sounding more like I need to do some cleanup from the upgrade (Fedora Core
2 to Fedora Core 3 - long time ago) than an actual bug.  I'll see if I can
reproduce this when the next kernel comes out after I do the following:

1. Remove currently unused hardware from configuration and tell kudzu not to add
it back in.
2. Remove the alias sound-slot-0 snd-card-0 line

Then see what happens . . .

Comment 4 Erik P. Olsen 2005-10-10 15:46:52 UTC
I have noticed the same odd behaviour latest when updating the kernel to version
2.6.12-1.1378_FC3.

In my case the lines:

alias sound-slot-0 snd-card-0
options snd-card-0 index-0

were removed and no sound produced and alsamixer would not see my sound card.
Adding the lines brought back the sound.

Comment 5 Matthew Miller 2006-07-10 21:17:47 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 6 Mark Eggers 2007-08-01 04:31:53 UTC
This bug should be closed, as I reported it to be resolved in fc4 and beyond. 
Thank you for your time and effort.

Comment 7 Rik van Riel 2007-08-01 04:34:55 UTC
Closed as requested.


Note You need to log in before you can comment on or make changes to this bug.